Change check boxes into switchboxes where possible

Bug #1431569 reported by Kristina Hoeppner on 2015-03-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Kristina Hoeppner

Bug Description

We started using switchboxes instead of check boxes. This should be done whereever possible and sensible in Mahara. It is not new functionality, but a visual change.

The default strings to be used are "On" and "Off" whereever possible. Only in rare cases should other strings be used. Thus, even when the question is "Yes" / "No", the default "On" / "Off" should be used unless it would not make any sense as per UX advice.

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4384

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4385

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4386

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4387

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4388

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4389

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4390

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4391

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4392

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4393

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4394

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4396

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4398

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4405

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4406

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4407

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4408

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4409

Hi,

For Patch 4405 there are some language string changes, I checked the code side by side and I know what the changes are :) I just don't Mahara well enough to know what page they are on or if they are scattered everywhere through Mahara and I have to find them.

Cheers, Jinelle

Hi,

For patch 4389 I know that it has something to do with the help icons (where the lang strings are changed) on an edit page, and the check boxes have been made to the switch boxes. I have no idea what Edit page and where in Mahara that is can you please tell me the pathways I need to go using the Arrows eg. Groups -> find groups-> edit page is here

Thanks,
Jinelle

Reviewed: https://reviews.mahara.org/4406
Committed: http://gitorious.org/mahara/mahara/commit/cb64bea37e9972d41d22f1a7aab71eb01dc4207c
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit cb64bea37e9972d41d22f1a7aab71eb01dc4207c
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Sat Mar 14 16:46:28 2015 +1300

Forums: Change to switchboxes (Bug 1431569)

Change checkboxes to switchboxes

Change-Id: I41072836f23ee6a9d42e71d5d87d2d13876294b8

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4407
Committed: http://gitorious.org/mahara/mahara/commit/8cc060e37b1932851f3a8cf027e8fdf593dfa3f1
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 8cc060e37b1932851f3a8cf027e8fdf593dfa3f1
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Sat Mar 14 16:55:39 2015 +1300

Journal: Change to switchboxes (Bug 1431569)

Change checkboxes to switchboxes

Change-Id: I4339d7c861ea690a4dacbb6e37c7c2edc2577b30
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4408
Committed: http://gitorious.org/mahara/mahara/commit/e4e8061f2ad039459e0df5eabf2da4bd33e3df15
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit e4e8061f2ad039459e0df5eabf2da4bd33e3df15
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Sat Mar 14 17:01:42 2015 +1300

Plans: Change to switchbox (Bug 1431569)

Change from checkbox to switchbox.
Here I did use the "Yes/No" values rather
than "On/Off" because it made more sense.

Change-Id: Iecc43a469806031c2d6d7987085ef87f5ece5808
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4409
Committed: http://gitorious.org/mahara/mahara/commit/6c7ef0227db05d2542277070cd34c04b3fb856de
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 6c7ef0227db05d2542277070cd34c04b3fb856de
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Sat Mar 14 17:05:47 2015 +1300

Notes: Change to switchbox (Bug 1431569)

Change checkboxes to switchboxes:
- Content > Notes
- When editing a notes block

Change-Id: I31891580615dc0eabd34e0a0f598e8398090466f
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4385
Committed: http://gitorious.org/mahara/mahara/commit/ee3ddf9928f57d5c87620c5cb5b731fd1354fd7e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ee3ddf9928f57d5c87620c5cb5b731fd1354fd7e
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 10:30:00 2015 +1300

Networking: Change checkboxes to switchboxes (Bug 1431569)

Change-Id: I8ae344ceba5f461edd762b51aa392ed7566dd38d
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4390
Committed: http://gitorious.org/mahara/mahara/commit/6855ba517351807acb8137717a0bdc9255e0b0d4
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 6855ba517351807acb8137717a0bdc9255e0b0d4
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 11:01:26 2015 +1300

Group categories: Switch to switchboxes (Bug 1431569)

Change the checkbox to a switchbox.

Change-Id: Ifbfa471ab7e6309d93e53d126768960ce13fd538
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Reviewed: https://reviews.mahara.org/4384
Committed: http://gitorious.org/mahara/mahara/commit/34adee8980996df808584b5eff87eff0f2c39dcb
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 34adee8980996df808584b5eff87eff0f2c39dcb
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 10:27:26 2015 +1300

Menus: Change checkboxes to switchboxes (Bug 1431569)

Change-Id: I1dacc4a89d55b3c882cf47da109e0f5ac9e92530
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4388
Committed: http://gitorious.org/mahara/mahara/commit/b91c18173dc23fa772befb90593d32fa67916476
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit b91c18173dc23fa772befb90593d32fa67916476
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 10:51:52 2015 +1300

Add user: Switch to switchbox (Bug 1431569)

Uses switchboxes on the "Add user" screen in the
administration. There is a separate patch for
switchboxes in the "General account options".

Change-Id: I866da98fe126c2df2126ec9e0af2e5b9bfc3a7cf
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4387
Committed: http://gitorious.org/mahara/mahara/commit/fc5bf856fd16865cf33d997e35a5eaa3f774d992
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit fc5bf856fd16865cf33d997e35a5eaa3f774d992
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 10:44:15 2015 +1300

Default account options: Implement switchboxes (Bug 1431569)

Change from checkboxes to switchboxes. Affected are:
- /admin/users/add.php
- /admin/users/uploadcsv.php
- /account/index.php

Change-Id: I0c1844f14b77b564ce2e99161552df1b8764041a
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4398
Committed: http://gitorious.org/mahara/mahara/commit/710062604b139f5ad8ad5fa9942936c843839ecb
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 710062604b139f5ad8ad5fa9942936c843839ecb
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 12:04:09 2015 +1300

Comments: Change to switchboxes (Bug 1431569)

Change checkboxes to switchboxes at:
- plugin administration
- adding feedback
- editing feedback

Change-Id: I6ebcaff9ede8ba1b852c569e6e4521e960847729
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4383
Committed: http://gitorious.org/mahara/mahara/commit/a18fccf04ff530de1924219e87b6dcd3f13a2d55
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit a18fccf04ff530de1924219e87b6dcd3f13a2d55
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 10:23:28 2015 +1300

Cookie Consent: Change checkboxes to switchboxes (Bug 1431569)

Change-Id: Id0712651d5a706ee0dbf071481531d102ec7b80b
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4389
Committed: http://gitorious.org/mahara/mahara/commit/449afcdf9d1a77a0a4de9d3aad7526313fd02375
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 449afcdf9d1a77a0a4de9d3aad7526313fd02375
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 10:57:55 2015 +1300

User edit screen: Switch to switchboxes (Bug 1431569)

The spacing for the help icons and where the options
are too close to each other will be dealt with during
the CSS review.

Change-Id: I6cce57e2ce3b482859f175880d8b506b95ce74c8
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4391
Committed: http://gitorious.org/mahara/mahara/commit/cbef0d911bfcb8f8cfff6d14f16d253c7c817fdc
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit cbef0d911bfcb8f8cfff6d14f16d253c7c817fdc
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 11:03:59 2015 +1300

Group CSV upload: Change to switchboxes (Bug 1431569)

Change the checkbox to a switchbox.

Change-Id: If084b41e608a98aa79f9a6a7a24e9e962c4d5faf
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4386
Committed: http://gitorious.org/mahara/mahara/commit/5bd985546493e3e2eeb80c79512b95af902cc89d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 5bd985546493e3e2eeb80c79512b95af902cc89d
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 10:36:10 2015 +1300

Site options: Change checkboxes to switchboxes (Bug 1431569)

The help icons will be fixed up during the CSS
review and thus don't need to be worried about
at this stage.

Change-Id: I087b292ec5062fa6cda7c4f3c015262a26b4bd10
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4405
Committed: http://gitorious.org/mahara/mahara/commit/bb9c7543599e2256a51106586f2a29054942697d
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit bb9c7543599e2256a51106586f2a29054942697d
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Sat Mar 14 16:31:14 2015 +1300

Group homepage: Change to switchboxes (Bug 1431569)

Changed checkboxes to switchboxes and made some
language string adjustments.

Change-Id: I04fe22799757ed80db787c895f8ebc1d1a9eaffc

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4393
Committed: http://gitorious.org/mahara/mahara/commit/e5dc36d8300c20ecf304b0b06abf3015803746e6
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit e5dc36d8300c20ecf304b0b06abf3015803746e6
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 11:13:47 2015 +1300

Inst. static pages: Change to switchboxes (Bug 1431569)

Change the checkbox to a switchbox.

Change-Id: I19b26ac7af460dd758bff864c7ac4a5bd946dde0
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4394
Committed: http://gitorious.org/mahara/mahara/commit/0a64d41e3b1138ab1dbb7cd1f70a22939624658e
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 0a64d41e3b1138ab1dbb7cd1f70a22939624658e
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 11:16:48 2015 +1300

Profile completion: Change to switchboxes (Bug 1431569)

Change from checkboxes to switchboxes.

Change-Id: Ieba5728f2201bfdc679ecb39e8f14a250bf95708
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4396
Committed: http://gitorious.org/mahara/mahara/commit/7ee7c9d052b9587ac5de31adc0b6dabf81561d81
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 7ee7c9d052b9587ac5de31adc0b6dabf81561d81
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Fri Mar 13 11:48:46 2015 +1300

File artefact: Change to switchboxes (Bug 1431569)

Change from checkboxes to switchboxes. Changes affect
the blocktype and artefact type in the plugin
administration.

Change-Id: I9a3c69bd63350fb49267290d029531a1c1b5bdba
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

32 comments hidden view all 112 comments
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4464
Committed: http://gitorious.org/mahara/mahara/commit/cfedd628fe6eede8c38d67c88587410bf83238d5
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit cfedd628fe6eede8c38d67c88587410bf83238d5
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Mar 25 12:44:18 2015 +1300

Behat Test: Group categories switches (Bug 1431569)

This test is dependent on the And I set the following fields to these values:
table being fixed.

Change-Id: I45e104e25e6936f2aa1a733d7240a4bb686c3217

Reviewed: https://reviews.mahara.org/4544
Committed: http://gitorious.org/mahara/mahara/commit/d082196133e401a73cbc51e58221a9a10e3db5da
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit d082196133e401a73cbc51e58221a9a10e3db5da
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Mar 25 12:44:18 2015 +1300

Behat Test: Group categories switches (Bug 1431569)

This test is dependent on the And I set the following fields to these values:
table being fixed.

Change-Id: I45e104e25e6936f2aa1a733d7240a4bb686c3217

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4536
Committed: http://gitorious.org/mahara/mahara/commit/15548536bc0ca3ed0edd809bf331e7b3b80370f3
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 15548536bc0ca3ed0edd809bf331e7b3b80370f3
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 11:44:58 2015 +1300

Lang string change to faciliate Behat and accessibility

(Bug 1431569)

There were 2 setting links on the page now they have different text.

Change-Id: I0eb09e253af173584e99a6c86ca67d52030dff41

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/4546

Reviewed: https://reviews.mahara.org/4546
Committed: http://gitorious.org/mahara/mahara/commit/de8ee576d02b988a4411c0767742a1cf4ff9e97f
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit de8ee576d02b988a4411c0767742a1cf4ff9e97f
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 11:44:58 2015 +1300

Lang string change to faciliate Behat and accessibility

(Bug 1431569)

There were 2 setting links on the page now they have different text.

Change-Id: I0eb09e253af173584e99a6c86ca67d52030dff41

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4550

Reviewed: https://reviews.mahara.org/4549
Committed: http://gitorious.org/mahara/mahara/commit/790b3b974acb3fbae02008b212304aadfb3fe9f7
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 790b3b974acb3fbae02008b212304aadfb3fe9f7
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 17:48:34 2015 +1300

Behat Test: Settings on Add user page (Bug 1431569)

Change-Id: Ia57ed366fd8a86b9f488935ba1612f855198cd56

Reviewed: https://reviews.mahara.org/4540
Committed: http://gitorious.org/mahara/mahara/commit/8f0be4cc14b2fcf21009f5dba2f3443206b8e33a
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 8f0be4cc14b2fcf21009f5dba2f3443206b8e33a
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 12:57:57 2015 +1300

Behat Test: Configuration of menus page (Bug 1431569)

Change-Id: I8d8cd1aae919904c3dce6d8e383ff7d75f0c056f

Reviewed: https://reviews.mahara.org/4466
Committed: http://gitorious.org/mahara/mahara/commit/e908391c13932f27f3cbc5dab5a5a62a38485c64
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit e908391c13932f27f3cbc5dab5a5a62a38485c64
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Mar 25 13:55:21 2015 +1300

Behat Test: Switches on edit forum page (Bug 1431569)

This test just needs an ID on the settings link because there are 2 settings links

Change-Id: I29fc8e8ce3d6bb1ddbb8ae6c443fe18df51da559

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4550
Committed: http://gitorious.org/mahara/mahara/commit/262489c12bc203edd7b0f40609b9d68f7d562845
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 262489c12bc203edd7b0f40609b9d68f7d562845
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 18:35:33 2015 +1300

Behat Test: Feedback configuration (Bug 1431569)

Change-Id: Iab5d995dce958e047d341f0ec683a668ceeab260

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4532
Committed: http://gitorious.org/mahara/mahara/commit/93377b92399a72032d19c42e3f052d9781b0167f
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 93377b92399a72032d19c42e3f052d9781b0167f
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 11:10:41 2015 +1300

Behat Test: Configure Network Page (Bug 1431569)

Change-Id: I34919e05166eb83097b68c755aee24b1a7080776

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/4555

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/4557

Reviewed: https://reviews.mahara.org/4551
Committed: http://gitorious.org/mahara/mahara/commit/d2d390ad1a6ea1fb64ae9ca2700aadbca3656f96
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit d2d390ad1a6ea1fb64ae9ca2700aadbca3656f96
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 17:48:34 2015 +1300

Behat Test: Settings on Add user page (Bug 1431569)

Change-Id: Ia57ed366fd8a86b9f488935ba1612f855198cd56

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4554
Committed: http://gitorious.org/mahara/mahara/commit/447978ff0b7e0d1cfbcef9c41c56ea2fc5193eae
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 447978ff0b7e0d1cfbcef9c41c56ea2fc5193eae
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Mar 25 13:55:21 2015 +1300

Behat Test: Switches on edit forum page (Bug 1431569)

This test just needs an ID on the settings link because there are 2 settings links

Change-Id: I29fc8e8ce3d6bb1ddbb8ae6c443fe18df51da559

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4555
Committed: http://gitorious.org/mahara/mahara/commit/2e9e0a5f5f9a5048de7b370f14fd41073d79b837
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 2e9e0a5f5f9a5048de7b370f14fd41073d79b837
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 18:35:33 2015 +1300

Behat Test: Feedback configuration (Bug 1431569)

Change-Id: Iab5d995dce958e047d341f0ec683a668ceeab260

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4557
Committed: http://gitorious.org/mahara/mahara/commit/045838c8cd0452d5d9e04ed64bac0698b1864897
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 045838c8cd0452d5d9e04ed64bac0698b1864897
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 11:10:41 2015 +1300

Behat Test: Configure Network Page (Bug 1431569)

Change-Id: I34919e05166eb83097b68c755aee24b1a7080776

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4552
Committed: http://gitorious.org/mahara/mahara/commit/23247282398582dd22a09a4c20d98f6ca86fb506
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 23247282398582dd22a09a4c20d98f6ca86fb506
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 12:57:57 2015 +1300

Behat Test: Configuration of menus page (Bug 1431569)

Change-Id: I8d8cd1aae919904c3dce6d8e383ff7d75f0c056f

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4564

Reviewed: https://reviews.mahara.org/4472
Committed: http://gitorious.org/mahara/mahara/commit/5c06efd6292282f7c7a128be61afaba68448dbf9
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 5c06efd6292282f7c7a128be61afaba68448dbf9
Author: Jinelle Foley-Barnes <email address hidden>
Date: Thu Mar 26 15:51:45 2015 +1300

Behat Test: Switches on edit group (Bug 1431569)

Change-Id: Ibcd1f3161d779412b16a133222220aef815f8ae4

Reviewed: https://reviews.mahara.org/4566
Committed: http://gitorious.org/mahara/mahara/commit/be6bca451d4b2f7630f51fafafdd79fa36f48c30
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit be6bca451d4b2f7630f51fafafdd79fa36f48c30
Author: Jinelle Foley-Barnes <email address hidden>
Date: Thu Mar 26 15:51:45 2015 +1300

Behat Test: Switches on edit group (Bug 1431569)

Change-Id: Ibcd1f3161d779412b16a133222220aef815f8ae4

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4545
Committed: http://gitorious.org/mahara/mahara/commit/3493d67d34e6dfd79b596608bdbb1724f2eddc1d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 3493d67d34e6dfd79b596608bdbb1724f2eddc1d
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 15:55:34 2015 +1300

Behat Test: Configuration of cookie consent page (Bug 1431569)

Change-Id: Ia519094603d5d7cb3173fbb46c4c5dd03382a0f1

Reviewed: https://reviews.mahara.org/4571
Committed: http://gitorious.org/mahara/mahara/commit/4b072ff5b78dc80efd6fb1149ba42cd2a689fe61
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 4b072ff5b78dc80efd6fb1149ba42cd2a689fe61
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 31 15:55:34 2015 +1300

Behat Test: Configuration of cookie consent page (Bug 1431569)

Change-Id: Ia519094603d5d7cb3173fbb46c4c5dd03382a0f1

Reviewed: https://reviews.mahara.org/4563
Committed: http://gitorious.org/mahara/mahara/commit/920a4bb5a985877d7a49bf0f3715c3cecc62d3f6
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 920a4bb5a985877d7a49bf0f3715c3cecc62d3f6
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Apr 1 14:16:37 2015 +1300

Behat Test: Site options page (Bug 1431569)

Change-Id: I9f7d4c22bba5743d404ddbe7d9f6064ac5da41b2

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4564
Committed: http://gitorious.org/mahara/mahara/commit/afd793060fd53de97e8ba53cef272db5d7ae42a1
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit afd793060fd53de97e8ba53cef272db5d7ae42a1
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Apr 1 14:57:10 2015 +1300

Behat Test: Configuration on user search page (Bug 1431569)

Change-Id: Ie0700ef024fe6c542464a02589d092db23650aec

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/4578

Reviewed: https://reviews.mahara.org/4578
Committed: http://gitorious.org/mahara/mahara/commit/2573161647155ccb2c5ef59447e6580b11b091a8
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 2573161647155ccb2c5ef59447e6580b11b091a8
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Apr 1 14:57:10 2015 +1300

Behat Test: Configuration on user search page (Bug 1431569)

Change-Id: Ie0700ef024fe6c542464a02589d092db23650aec

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4577
Committed: http://gitorious.org/mahara/mahara/commit/e754b6b83be6fa93c17faae3bd36ddd5551d2e09
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit e754b6b83be6fa93c17faae3bd36ddd5551d2e09
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Apr 1 14:16:37 2015 +1300

Behat Test: Site options page (Bug 1431569)

Change-Id: I9f7d4c22bba5743d404ddbe7d9f6064ac5da41b2

Robert Lyon (robertl-9) on 2015-04-16
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
tags: added: behat has-behat
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4573
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/ead6804058cfdee18b360914f2317709ee2fb68c
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ead6804058cfdee18b360914f2317709ee2fb68c
Author: Jinelle Foley-Barnes <email address hidden>
Date: Wed Apr 1 16:34:30 2015 +1300

Behat Test: Configuring journal entry page (Bug 1431569)

Change-Id: I0df2060b559f382e2545b244559f40ff3b4823ed

Displaying first 40 and last 40 comments. View all 112 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers